Subject: Re: bug#13578: [IMPORTANT] A new versioning scheme for automake releases, and a new branching scheme for the Git repository

From: Stefano Lattarini <[email-masked]>
Date: Wed, 13 Feb 2013 19:20:06 +0100

Hi Diego.

On 02/12/2013 06:50 PM, Diego Elio Pettenò wrote:
> On 12/02/2013 17:44, Stefano Lattarini wrote:
>> Ah, ok, so in the end you already agree that this is a "documentation"
>> issue rather than a versioning one.  Please correct me if I'm wrong!
> 
> I guess it's a matter of perception.
> 
> I honestly don't see the point of beta software if nobody's using it, as
> it would just actually be an alpha for the beta (.0/.1 releases) which
> then becomes stable (.2+ — sometimes).
> 
> If we go with a new major version we could have:
> 
> 2.0.x -> new major, testing branch (let's not call it beta!), all fine
> but it throws a huge warning at runtime that the branch is not finalized
> yet and thus that it should not be used for distributed software
> 
> 2.1.x -> new major, stable branch, micro versions for bugfix only
> 
> 2.2.x -> new major, new features branch, introduces deprecation warnings
> for features leaving in 3.0, possibly some opt-in versions of features
> becoming standard in 3.0.
> 
> _If needed_ only:
> 
> 2.90.x -> experimental branch for the upcoming 3.0 testing branch
> 
The scheme you are proposing seems sensible to me.  Anyway, it is an
*extension* to my new proposed versioning/branching scheme, so we
don't have to decide on its adoption right away -- we can switch to
my proposed scheme first, and then refine/enhance it with your
proposal, if nobody objects.  OK?

Thanks,
  Stefano